## Deprecated API

Deprecated API — Types and functions flagged as deprecated.

## Functions

gboolean | mbim_message_device_service_subscriber_list_response_parse ()
MbimMessage * | mbim_message_device_service_subscriber_list_set_new ()
void | mbim_lte_attach_status_free ()
MbimMessage * | mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new ()
gboolean | mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse ()
gboolean | mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse ()
const gchar * | mbim_sms_status_flag_get_string ()

## Types and Values

#define | MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST
#define | MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH
#define | MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_LTE_ATTACH_STATUS
typedef | MbimLteAttachStatus
#define | MBIM_NW_ERROR_UNKNOWN
#define | MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_NETWORK_BLACKLIST

## Description

This section defines types and functions that have been deprecated.

## Functions

### mbim_message_device_service_subscriber_list_response_parse ()

    gboolean
    mbim_message_device_service_subscriber_list_response_parse
                                   (const MbimMessage *message,
                                    guint32 *events_count,
                                    MbimEventEntry ***events,
                                    GError **error);

`mbim_message_device_service_subscriber_list_response_parse` has been deprecated since version 1.8 and should not be used in newly-written code.

Use `mbim_message_device_service_subscribe_list_response_parse()` instead.

Create a new request for the 'Events' response command in the 'Basic Connect' service.

#### Parameters

message | the MbimMessage. |
events_count | return location for a guint32, or `NULL` if the 'EventsCount' field is not needed. |
events | return location for a newly allocated array of MbimEventEntrys, or `NULL` if the 'Events' field is not needed. Free the returned value with `mbim_event_entry_array_free()`. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.0

### mbim_message_device_service_subscriber_list_set_new ()

    MbimMessage *
    mbim_message_device_service_subscriber_list_set_new
                                   (guint32 events_count,
                                    const MbimEventEntry *const *events,
                                    GError **error);

`mbim_message_device_service_subscriber_list_set_new` has been deprecated since version 1.8 and should not be used in newly-written code.

Use `mbim_message_device_service_subscribe_list_set_new()` instead.

Create a new request for the 'Device Service Subscribe List' set command in the 'Basic Connect' service.

#### Parameters

events_count | the 'EventsCount' field, given as a guint32. |
events | the 'Events' field, given as an array of MbimEventEntrys. |
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.0

### mbim_lte_attach_status_free ()

    void
    mbim_lte_attach_status_free (MbimDeprecatedLteAttachStatus *var);

`mbim_lte_attach_status_free` has been deprecated since version 1.26 and should not be used in newly-written code.

Frees the memory allocated for the MbimLteAttachStatus.

#### Parameters

var | a MbimLteAttachStatus. |

Since: 1.18

### mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new ()

    MbimMessage *
    mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new
                                   (GError **error);

`mbim_message_ms_basic_connect_extensions_lte_attach_status_query_new` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `mbim_message_ms_basic_connect_extensions_lte_attach_info_query_new()` instead.

Create a new request for the 'Lte Attach Status' query command in the 'Ms Basic Connect Extensions' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.18

### mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse
                                   (const MbimMessage *message,
                                    MbimDeprecatedLteAttachStatus **out_lte_attach_status,
                                    GError **error);

`mbim_message_ms_basic_connect_extensions_lte_attach_status_response_parse` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `mbim_message_ms_basic_connect_extensions_lte_attach_info_response_parse()` instead.

Parses and returns parameters of the 'Lte Attach Status' response command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
out_lte_attach_status | return location for a newly allocated MbimLteAttachStatus, or `NULL` if the 'LteAttachStatus' field is not needed. Free the returned value with `mbim_lte_attach_status_free()`. | [out][optional][transfer full]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.18

### mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse ()

    gboolean
    mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse
                                   (const MbimMessage *message,
                                    MbimDeprecatedLteAttachStatus **out_lte_attach_status,
                                    GError **error);

`mbim_message_ms_basic_connect_extensions_lte_attach_status_notification_parse` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `mbim_message_ms_basic_connect_extensions_lte_attach_info_notification_parse()` instead.

Parses and returns parameters of the 'Lte Attach Status' notification command in the 'Ms Basic Connect Extensions' service.

#### Parameters

message | the MbimMessage. |
out_lte_attach_status | return location for a newly allocated MbimLteAttachStatus, or `NULL` if the 'LteAttachStatus' field is not needed. Free the returned value with `mbim_lte_attach_status_free()`. | [out][optional][transfer full]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.18

### mbim_sms_status_flag_get_string ()

    const gchar *
    mbim_sms_status_flag_get_string (MbimSmsStatusFlag val);

`mbim_sms_status_flag_get_string` has been deprecated since version 1.30 and should not be used in newly-written code.

Use `mbim_sms_status_flag_build_string_from_mask()` instead.

Gets the nickname string for the MbimSmsStatusFlag specified at `val` .

#### Parameters

val | a MbimSmsStatusFlag. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.4

## Types and Values

### MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST

    #define MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST (MbimDeprecatedCidBasicConnect) MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST

`MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBER_LIST` has been deprecated since version 1.8 and should not be used in newly-written code.

Use MBIM_CID_BASIC_CONNECT_DEVICE_SERVICE_SUBSCRIBE_LIST instead.

Device service subscribe list.

Since: 1.0

### MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH

    #define MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH (MbimDeprecatedRegistrationFlag) MBIM_REGISTRATION_FLAG_PACKET_SERVICE_AUTOMATIC_ATTACH

`MBIM_REGISTRATION_FLAG_MANUAL_PACKET_SERVICE_AUTOMATIC_ATTACH` has been deprecated since version 1.8 and should not be used in newly-written code.

Use MBIM_REGISTRATION_FLAG_PACKET_SERVICE_AUTOMATIC_ATTACH instead.

Modem should auto-attach to the network after registration.

Since: 1.0

### MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_LTE_ATTACH_STATUS

    #define MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_LTE_ATTACH_STATUS (MbimDeprecatedCidMsBasicConnectExtensions)MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_LTE_ATTACH_INFO

`MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_LTE_ATTACH_STATUS` has been deprecated since version 1.26 and should not be used in newly-written code.

Use MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_LTE_ATTACH_INFO instead.

LTE attach info.

Since: 1.18

### MbimLteAttachStatus

    typedef MbimDeprecatedLteAttachStatus MbimLteAttachStatus;

`MbimLteAttachStatus` has been deprecated since version 1.26 and should not be used in newly-written code.

LTE attach status information.

Since: 1.18

### MBIM_NW_ERROR_UNKNOWN

    #define MBIM_NW_ERROR_UNKNOWN (MbimDeprecatedNwError) MBIM_NW_ERROR_NONE

`MBIM_NW_ERROR_UNKNOWN` has been deprecated since version 1.28 and should not be used in newly-written code.

Use `MBIM_NW_ERROR_NONE` instead.

Network error not set.

Since: 1.0

### MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_NETWORK_BLACKLIST

    #define MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_NETWORK_BLACKLIST (MbimDeprecatedCidMsBasicConnectExtensions) MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_NETWORK_DENYLIST

`MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_NETWORK_BLACKLIST` has been deprecated since version 1.28 and should not be used in newly-written code.

Use MBIM_CID_MS_BASIC_CONNECT_EXTENSIONS_NETWORK_DENYLIST instead.

Network deny list.

Since: 1.18